Begin Recovery
POST
/api/auth/recovery
const url = 'https://agentauthority.org/api/auth/recovery';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"account_id":"example","compromised_agent_ids":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://agentauthority.org/api/auth/recovery \ --header 'Content-Type: application/json' \ --data '{ "account_id": "example", "compromised_agent_ids": [ "example" ] }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
RecoveryStart
object
account_id
required
Account Id
string
compromised_agent_ids
Compromised Agent Ids
Array<string>
Example generated
{ "account_id": "example", "compromised_agent_ids": [ "example" ]}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Example generated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}